[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Bug#507881: marked as done (apt-build failes with sources using cmake)

Your message dated Tue, 28 Feb 2012 03:32:13 +0000
with message-id <E1S2DnR-0001ZM-8e@franck.debian.org>
and subject line Bug#507881: fixed in apt-build 0.12.42
has caused the Debian Bug report #507881,
regarding apt-build failes with sources using cmake
to be marked as done.

This means that you claim that the problem has been dealt with.
If this is not the case it is now your responsibility to reopen the
Bug report if necessary, and/or fix the problem forthwith.

(NB: If you are a system administrator and have no idea what this
message is talking about, this may indicate a serious mail system
misconfiguration somewhere. Please contact owner@bugs.debian.org

507881: http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=507881
Debian Bug Tracking System
Contact owner@bugs.debian.org with problems
--- Begin Message ---
Package: apt-build
Version: 0.12.37
Severity: normal

when source package uses cmake (such as KDE 4 or phonon), it probes for
compiler and the calls is directly (/usr/lib/apt-build/g++) when doing so,
build failes.
when building the source using regualr debian/rules binary-arch everything
is fine.

-- System Information:
Debian Release: lenny/sid
  APT prefers testing
  APT policy: (990, 'testing'), (100, 'unstable'), (1, 'experimental')
Architecture: i386 (i686)

Kernel: Linux 2.6.26-10
Locale: LANG=he_IL, LC_CTYPE=he_IL (charmap=ISO-8859-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages apt-build depends on:
ii  apt                           0.7.18     Advanced front-end for dpkg
ii  apt-utils                     0.7.18     APT utility programs
ii  debconf [debconf-2.0]         1.5.24     Debian configuration management sy
ii  devscripts                    2.10.35    scripts to make the life of a Debi
ii  dpkg-dev                      1.14.23    Debian package development tools
ii  g++                           4:4.3.2-2  The GNU C++ compiler
ii  gcc                           4:4.3.2-2  The GNU C compiler
ii  libappconfig-perl             1.56-2     Perl module for configuration file
ii  libapt-pkg-perl               0.1.22+b1  Perl interface to libapt-pkg
ii  libc6                         2.7-16     GNU C Library: Shared libraries
ii  perl                          5.10.0-18  Larry Wall's Practical Extraction 

Versions of packages apt-build recommends:
ii  build-essential               11.4       Informational list of build-essent
ii  fakeroot                      1.11       Gives a fake root environment

apt-build suggests no packages.

-- debconf information:
  apt-build/arch_amd: k6
  apt-build/arch_alpha: ev4
* apt-build/options: -march=pentium3
* apt-build/arch_intel: pentium3
  apt-build/arch_arm: armv2
* apt-build/make_options: -j2
* apt-build/olevel: Strong
* apt-build/build_dir: /var/cache/apt-build/build
* apt-build/repository_dir: /var/cache/apt-build/repository
  apt-build/arch_sparc: sparc
  apt-build/arch_amd64: x86-64
* apt-build/add_to_sourceslist: false

--- End Message ---
--- Begin Message ---
Source: apt-build
Source-Version: 0.12.42

We believe that the bug you reported is fixed in the latest version of
apt-build, which is due to be installed in the Debian FTP archive:

  to main/a/apt-build/apt-build_0.12.42.dsc
  to main/a/apt-build/apt-build_0.12.42.tar.gz
  to main/a/apt-build/apt-build_0.12.42_mipsel.deb

A summary of the changes between this version and the previous one is

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 507881@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
Dominique Lasserre <lasserre.d@gmail.com> (supplier of updated apt-build package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)

Hash: SHA256

Format: 1.8
Date: Fri, 24 Feb 2012 02:02:46 +0100
Source: apt-build
Binary: apt-build
Architecture: source mipsel
Version: 0.12.42
Distribution: experimental
Urgency: low
Maintainer: Debian QA Group <packages@qa.debian.org>
Changed-By: Dominique Lasserre <lasserre.d@gmail.com>
 apt-build  - frontend to apt to build, optimize and install packages
Closes: 179850 291565 292169 314155 315102 316572 369173 391449 392844 425044 434859 507881 511853 592006 596296 624365 660590
 apt-build (0.12.42) experimental; urgency=low
   * QA upload.
   * Bump source format to 3.0 (native).
   * Added archive suite. Clear solution for #639859.
   * Allow non authenticated installation from apt-build repository. Closes:
     #316572, #369173
   * Added new cpu-type profiles to debconf templates.
   * Changed default make option in template (-j`cpu_cores`). Set question
     priority to "high".
   * debian/dirs: Removed due to its redundancy.
   * Prevent empty directory for build_dir and repository_dir (use loop).
     Closes: #511853
   * Move debconf-only related content from postinst to config file and pimp
     debconf stuff (configuration file handling).
   * --yes (assume-yes) functionality is now recognized by aptitude. Also
     renamed help information from apt-get and apt-cache to aptget and aptcache.
     (thanks to Bryant Wong) Closes: #392844
   * Improved source version and name handling. Closes: #314155, #315102,
     #425044, #434859
   * Pull correct build dependencies. Closes: #624365
   * Compilation with cmake is supported (no code changes). Closes: #507881
   * Build with local version number (suffix +aptbuild). Closes: #391449,
   * Support sources stored at /Dir::Etc::sourceparts. Closes: #596296
   * Rebuild Packages.gz after repository cleaning.
   * Patch from Kumar Appaiah: Allow package builds without binary packages
     registered in sources. Closes: #179850, #291565, #292169
   * Unregister conffiles located in /etc/apt/sources.list.d/. Changes are
     completely managed by debconf and maintainer scripts. Closes: #660590
   * Bump debhelper compatibility mode to 9.
   * Bump Standards version to 3.9.3.
 88b86903c8156f48205e89371093fd53f2da3b7d 1550 apt-build_0.12.42.dsc
 469be4c4c6aafd483a05566025fb0891f4ce12c6 52168 apt-build_0.12.42.tar.gz
 bf5f8c657aa98cde4eb583d534a17f3a140cb502 41298 apt-build_0.12.42_mipsel.deb
 95b37faa6d66d09a6ffd6d623b36f38f89ff4fda9520fea27c14536e681aa00c 1550 apt-build_0.12.42.dsc
 ab5b8695bafd872058436ec3b18eddf83b7efe07f9f25181d334c96c04d7d363 52168 apt-build_0.12.42.tar.gz
 344e7586795f7680a4ab334e1e4b77e325d5f9d8682929ef29c31a9472de03be 41298 apt-build_0.12.42_mipsel.deb
 4edb97edbb39549b9c6b2c4f0f9d1e53 1550 devel optional apt-build_0.12.42.dsc
 cbb307d6124b5c2a4f323e6fab2cb28e 52168 devel optional apt-build_0.12.42.tar.gz
 e32793eb1a0364438fab56cd692a133a 41298 devel optional apt-build_0.12.42_mipsel.deb

Version: GnuPG v1.4.11 (GNU/Linux)


--- End Message ---

Reply to: